Subject: FreeBSD: httpd in free(): warning: modified (chunk-) pointer

From: Martin Kraemer <[email-masked]>
Date: Fri, 25 Jan 2002 16:39:24 +0100

I haven't nailed down this bug yet, but here is the symptom:

* on FreeBSD-4.5RC,
* install Apache-1.3.23+mod_ssl, but don't "make certificate"
* apachectl startssl

then I see this in the error log:
[Fri Jan 25 15:28:44 2002] [error] mod_ssl: Init: Unable to read server certificate f
rom file /opt/apache/conf/ssl.crt/server.crt (OpenSSL library error follows)
[Fri Jan 25 15:28:44 2002] [error] OpenSSL: error:0D0680A8:asn1 encoding routines:ASN
1_CHECK_TLEN:wrong tag
[Fri Jan 25 15:28:44 2002] [error] OpenSSL: error:0D07803A:asn1 encoding routines:ASN
1_ITEM_EX_D2I:nested asn1 error
httpd in free(): warning: modified (chunk-) pointer
httpd in free(): warning: modified (chunk-) pointer

I expect the first messages. The latter two come from libc:
/usr/src/lib/libc/stdlib/malloc.c:
...
        /* Check the pointer for sane values */
        if (((u_long)ptr & ((*mp)->size-1))) {
            wrtwarning("modified (chunk-) pointer\n");
            return 0;
        }
...
Is it possible that something has been tramped upon? (Maybe in OpenSSL)

   Martin
-- 
<[email-masked]>         |     Fujitsu Siemens
Fon: +49-89-636-46021, FAX: +49-89-636-47655 | 81730  Munich,  Germany
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]